Bug 258351 - audio/tagutil: Rework Makefile and adjust hardcoded compiler flags
Summary: audio/tagutil: Rework Makefile and adjust hardcoded compiler flags
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-07 21:33 UTC by Daniel Engberg
Modified: 2021-09-12 11:19 UTC (History)
1 user (show)

See Also:
alex: maintainer-feedback+


Attachments
Patch for tagutil (3.27 KB, patch)
2021-09-07 21:33 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-07 21:33:19 UTC
Created attachment 227745 [details]
Patch for tagutil

Rework Makefile to follow Porter's Handbook
Remove hardcoded generic optimization
Remove compiler flags -o aslr and -fsanitize=undefined to fix build on other platforms than x86

Compile and lightly runtime tested on FreeBSD 13.0-STABLE #0 stable/13-n246453-06887e06864-dirty (arm64)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)

Reference:
https://portsfallout.com/port/1205/
Comment 1 alex 2021-09-11 19:22:11 UTC
Thanks Daniel, diff LGTM. I'll definitely adapt CMakeLists.txt for the next release so that we don't need patching.
Comment 2 commit-hook freebsd_committer 2021-09-12 08:38:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fb6ad88501bf6d3d8ff5f768a4f2e35182e8e44c

commit fb6ad88501bf6d3d8ff5f768a4f2e35182e8e44c
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-12 08:26:53 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-12 08:34:39 +0000

    audio/tagutil: Rework Makefile to follow Porter's Handbook

    PR:             258351
    Reviewed by:    Alexandre Perrin (maintainer)
    Approved by:    tcberner (mentor)
    Differential Revision:  https://reviews.freebsd.org/D31912

 audio/tagutil/Makefile | 43 ++++++++++++++++++++++---------------------
 1 file changed, 22 insertions(+), 21 deletions(-)
Comment 3 commit-hook freebsd_committer 2021-09-12 08:38:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f9801478002375acca3401fc401de7c629051d9b

commit f9801478002375acca3401fc401de7c629051d9b
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-12 08:35:45 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-12 08:35:49 +0000

    audio/tagutil: Adjust hardcoded compiler flags

    Remove hardcoded generic optimization
    Remove compiler flags -o aslr and -fsanitize=undefined to fix build on
    other platforms than x86

    PR:             258351
    Reported by:    pkg-fallout
    Reviewed by:    Alexandre Perrin (maintainer)
    Approved by:    tcberner (mentor)
    Differential Revision:  https://reviews.freebsd.org/D31912

 audio/tagutil/files/patch-src_CMakeLists.txt (new) | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
Comment 4 Daniel Engberg freebsd_committer 2021-09-12 08:51:37 UTC
Comitted
Comment 5 Daniel Engberg freebsd_committer 2021-09-12 11:19:47 UTC
Hi Alex,

Can you also fix so switches (WITHOUT) work as expected? As far as I can tell currently it just checks if the variable is defined or not, not the actual value.

Best regards,
Daniel